Package org.eclipse.net4j.util.io

# Class ZIPUtil.FileSystemZipHandler

java.lang.Object
org.eclipse.net4j.util.io.ZIPUtil.FileSystemZipHandler

All Implemented Interfaces:
  `ZIPUtil.ZipEntryHandler`

Enclosing class:
  `ZIPUtil`

public static class ZIPUtil.FileSystemZipHandler extends Object implements ZIPUtil.ZipEntryHandler

Author:
  Eike Stepper

## Constructor Summary

Constructors
Constructor
Description
`FileSystemZipHandler(File sourceFolder, boolean excludeRoot)`

## Method Summary

Modifier and Type
Method
Description
`protected String`
`getName(File file)`
`void`
`handleEntry(ZIPUtil.EntryContext context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FileSystemZipHandler

public FileSystemZipHandler(File sourceFolder, boolean excludeRoot)

## Method Details

### handleEntry

public void handleEntry(ZIPUtil.EntryContext context) throws IOException

Specified by:
  `handleEntry` in interface `ZIPUtil.ZipEntryHandler`
Throws:
  `IOException`

### getName

protected String getName(File file)